const { getCodeListByTypeId } = require('./service')
const { sendResponse } = require('../../utils')

const express = require('express')
const router = express.Router()

router.get('/list/:typeId', async (req, res) => {
  const { typeId } = req.params

  const gCodeList = await getCodeListByTypeId(typeId)

  sendResponse({ res, status: 200, message: '', data: gCodeList })
})

module.exports = router
